/*
 * Copyright(c) Stella Consulting Ltd
 *  1998-1999   http://www.stella-consulting.ltd.uk/
 *
 * Copyright(c) The University of Liverpool
 *  1993-1999
 *
 * See COPYRIGHT file for details on copying and distributing this software.
 *
 * FILE NAME:   XbrHTMLTags.h
 * CREATED:     Sat May 27 1995
 * AUTHOR:      Rik Turnbull
 * DESCRIPTION: Header file containing hashing values for all known HTML tags.
 *
 */

#ifndef _XBR_XBRHTMLTAGS_H
#define _XBR_XBRHTMLTAGS_H

#define XbrHTMLTAG_NONE                  0
#define XbrHTMLTAG_ADDRESS           12669
#define XbrHTMLTAG_A                    97
#define XbrHTMLTAG_B                    98
#define XbrHTMLTAG_BASE               1503
#define XbrHTMLTAG_BLOCKQUOTE       105313
#define XbrHTMLTAG_BODY               1549
#define XbrHTMLTAG_BR                  310
#define XbrHTMLTAG_CAPTION           12912
#define XbrHTMLTAG_CENTER             6444
#define XbrHTMLTAG_CITE               1545
#define XbrHTMLTAG_CODE               1537
#define XbrHTMLTAG_DIR                 724
#define XbrHTMLTAG_DL                  308
#define XbrHTMLTAG_DT                  316
#define XbrHTMLTAG_DD                  300
#define XbrHTMLTAG_EM                  311
#define XbrHTMLTAG_TT                  348
#define XbrHTMLTAG_FIG                 721
#define XbrHTMLTAG_FONT               1596
#define XbrHTMLTAG_FORM               1597
#define XbrHTMLTAG_H1                  257
#define XbrHTMLTAG_H2                  258
#define XbrHTMLTAG_H3                  259
#define XbrHTMLTAG_H4                  260
#define XbrHTMLTAG_H5                  261
#define XbrHTMLTAG_H6                  262
#define XbrHTMLTAG_HEAD               1530
#define XbrHTMLTAG_HR                  322
#define XbrHTMLTAG_HTML               1622
#define XbrHTMLTAG_INPUT              3358
#define XbrHTMLTAG_IMG                 741
#define XbrHTMLTAG_ISINDEX           13682
#define XbrHTMLTAG_I                   105
#define XbrHTMLTAG_KB                  312
#define XbrHTMLTAG_LISTING           13783
#define XbrHTMLTAG_LI                  321
#define XbrHTMLTAG_MENU               1613
#define XbrHTMLTAG_OPTION             7024
#define XbrHTMLTAG_OL                  330
#define XbrHTMLTAG_P                   112
#define XbrHTMLTAG_PLAINTEXT         55512
#define XbrHTMLTAG_XMP                 810
#define XbrHTMLTAG_PRE                 777
#define XbrHTMLTAG_SAMPLE             6869
#define XbrHTMLTAG_SELECT             6878
#define XbrHTMLTAG_STRIKE             7183
#define XbrHTMLTAG_STRONG             7215
#define XbrHTMLTAG_STYLE              3569
#define XbrHTMLTAG_TABLE              3341
#define XbrHTMLTAG_TD                  332
#define XbrHTMLTAG_TEXTAREA          28539
#define XbrHTMLTAG_TH                  336
#define XbrHTMLTAG_TR                  346
#define XbrHTMLTAG_TITLE              3477
#define XbrHTMLTAG_UL                  342
#define XbrHTMLTAG_VAR                 780
#define XbrHTMLTAG_END_ADDRESS       18685
#define XbrHTMLTAG_END_A               191
#define XbrHTMLTAG_END_B               192
#define XbrHTMLTAG_END_BASE           2255
#define XbrHTMLTAG_END_BLOCKQUOTE   153441
#define XbrHTMLTAG_END_BODY           2301
#define XbrHTMLTAG_END_BR              498
#define XbrHTMLTAG_END_CAPTION       18928
#define XbrHTMLTAG_END_CITE           2297
#define XbrHTMLTAG_END_CODE           2289
#define XbrHTMLTAG_END_DIR            1100
#define XbrHTMLTAG_END_DL              496
#define XbrHTMLTAG_END_DT              504
#define XbrHTMLTAG_END_DD              488
#define XbrHTMLTAG_END_EM              499
#define XbrHTMLTAG_END_TT              536
#define XbrHTMLTAG_END_FIG            1097
#define XbrHTMLTAG_END_FORM           2349
#define XbrHTMLTAG_END_H1              445
#define XbrHTMLTAG_END_H2              446
#define XbrHTMLTAG_END_H3              447
#define XbrHTMLTAG_END_H4              448
#define XbrHTMLTAG_END_H5              449
#define XbrHTMLTAG_END_H6              450
#define XbrHTMLTAG_END_HEAD           2282
#define XbrHTMLTAG_END_HTML           2374
#define XbrHTMLTAG_END_HR              510
#define XbrHTMLTAG_END_INPUT          4862
#define XbrHTMLTAG_END_IMG            1117
#define XbrHTMLTAG_END_ISINDEX       19698
#define XbrHTMLTAG_END_I               199
#define XbrHTMLTAG_END_KB              500
#define XbrHTMLTAG_END_LISTING       19799
#define XbrHTMLTAG_END_LI              509
#define XbrHTMLTAG_END_MENU           2365
#define XbrHTMLTAG_END_OPTION        10032
#define XbrHTMLTAG_END_OL              518
#define XbrHTMLTAG_END_P               206
#define XbrHTMLTAG_END_PLAIN          4868
#define XbrHTMLTAG_END_XMP            1186
#define XbrHTMLTAG_END_PRE            1153
#define XbrHTMLTAG_END_SAMPLE         9877
#define XbrHTMLTAG_END_SELECT         9886
#define XbrHTMLTAG_END_STRIKE        10191
#define XbrHTMLTAG_END_STRONG        10223
#define XbrHTMLTAG_END_STYLE          5073
#define XbrHTMLTAG_END_TABLE          4845
#define XbrHTMLTAG_END_TD              520
#define XbrHTMLTAG_END_TEXTAREA      40571
#define XbrHTMLTAG_END_TH              524
#define XbrHTMLTAG_END_TR              534
#define XbrHTMLTAG_END_TITLE          4981
#define XbrHTMLTAG_END_UL              530
#define XbrHTMLTAG_END_VAR            1156

#endif
